mod net;
use db::initialize;
use iced::{application, widget::{self, button, column, markdown, row, text}, Settings, Theme};
use net::load_rss;
use rss::Channel;
mod ui;
mod html;
mod db;
mod files;



//build CLI first, then create GUI

/*
TO DO:
    1) Create basic CLI interactions 
    2) Create comprehensive Schema
    3) Add/remove subscriptions
    4) 

*/

pub fn main() {
    db::initialize();
    db::add_feed("https://gabe.rocks/rss");
    
    }   


